postgresql-10-python3-multicorn_1.3.4-1_amd64.deb


Advertisement

Description

postgresql-10-python3-multicorn - multicorn extension for Postgres 10 to write FDWs with python3

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename postgresql-10-python3-multicorn_1.3.4-1_amd64.deb
Package name postgresql-10-python3-multicorn
Package version 1.3.4
Package release 1
Package architecture amd64
Package type deb
Category universe/database
Homepage http://multicorn.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 22.82 KB
Installed size 79.00 KB
Multicorn is a PostgreSQL extension meant to make Foreign Data
Wrapper development easy, by allowing the programmer to use the
Python programming language
This package is for PostgreSQL 10 and uses Python 3.

Alternatives

Package Version Architecture Repository
postgresql-10-python3-multicorn_1.3.4-1_i386.deb 1.3.4 i386 Ubuntu Universe
postgresql-10-python3-multicorn - - -

Requires

Name Value
libc6 >= 2.4
libpython3.6 >= 3.6.0~b2
postgresql-10 -
python3-multicorn -

Provides

Name Value
postgresql-python3-multicorn -

Conflicts

Name Value
postgresql-10-python-multicorn -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package postgresql-10-python3-multicorn_1.3.4-1_amd64.deb
Source Package postgresql-multicorn

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-10-python3-multicorn deb package:
    # sudo apt-get install postgresql-10-python3-multicorn

Files

Path
/usr/lib/postgresql/10/lib/multicorn.so
/usr/share/doc/postgresql-10-python3-multicorn/README.md
/usr/share/doc/postgresql-10-python3-multicorn/changelog.Debian.gz
/usr/share/doc/postgresql-10-python3-multicorn/copyright
/usr/share/doc/postgresql-doc-10/extension/multicorn.md
/usr/share/postgresql/10/extension/multicorn--1.3.4.sql
/usr/share/postgresql/10/extension/multicorn.control

Changelog

2017-11-23 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.3.4-1) unstable; urgency=medium
* Team upload.
* New upstream version.
2017-11-06 - Christoph Berg <myon@debian.org>
postgresql-multicorn (1.3.3-6) unstable; urgency=medium
* Test-Depend on python(3)-all-dev to pull in the correct python version if
there are several. Analysis and patch by Steve Langasek, thanks!
Closes: #879897.
2017-10-22 - Christoph Berg <myon@debian.org>
postgresql-multicorn (1.3.3-5) unstable; urgency=medium
* Update Makefile and regression tests to actually test PG10.
* Skip write_filesystem test with python3.6, currently broken.
* Use socket in /tmp for tests.
2017-10-06 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.3.3-4) unstable; urgency=medium
* Team upload.
* Update recommends to python(3)-ldap3, spotted by Michael Fladischer.
Closes: #854976.
* Move newpid build-dependency to debian/tests/control.in where it is
actually needed.
2017-09-21 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.3.3-3) unstable; urgency=medium
* Team upload.
* Cherry-pick patch to support PostgreSQL 10.
2017-01-14 - Christoph Berg <myon@debian.org>
postgresql-multicorn (1.3.3-2) unstable; urgency=medium
* Wrap testsuite in "newnet" to have port 5432 available.
* Cherry-pick to fix ERROR:  Error in python: ImportError
DETAIL:  cannot import name 'ARRAY'
https://github.com/soring/Multicorn/commit/655e4fb2b854cc004bf93db7a73a825dd49e35b5.patch
2016-09-27 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.3.3-1) unstable; urgency=medium
* Team upload.
* New upstream version with 9.6 support.
* Fix some regression diffs, see
https://github.com/Kozea/Multicorn/issues/171.
* Drop less-restrictive-testing.diff, no longer needed.
2016-04-12 - Christoph Berg <myon@debian.org>
postgresql-multicorn (1.3.2-1) unstable; urgency=medium
* New upstream release.
* Grab patches from upstream:
+ Fix "ImportError: 'plpy' is not a built-in module" on python3.
+ Make sure that plpython3 is initialized before Multicorn.
+ Fix string conversion compat layer for Python 3.
* The built-in regression tests are not important, let's declare this
Closes: #795590.
2016-01-11 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.3.0-1) unstable; urgency=medium
* New upstream release with 9.5 support.
2015-12-22 - Christoph Berg <christoph.berg@credativ.de>
postgresql-multicorn (1.2.4-1) unstable; urgency=medium
* New upstream release.
* Testsuite is unfortunately still broken, just differently now.

See Also

Package Description
postgresql-10-repack_1.4.2-2_amd64.deb reorganize tables in PostgreSQL databases with minimal locks
postgresql-10-repmgr_4.0.3-1_amd64.deb replication manager for PostgreSQL 10
postgresql-10-rum_1.2.0-1_amd64.deb PostgreSQL RUM access method
postgresql-10-similarity_1.0~20160916-1_amd64.deb PostgreSQL similarity functions extension
postgresql-10-slony1-2_2.2.6-1_amd64.deb replication system for PostgreSQL: PostgreSQL 10 server plug-in
postgresql-10-unit_5.0-1_amd64.deb SI Units for PostgreSQL
postgresql-all_10+190_all.deb metapackage depending on all PostgreSQL server packages
postgresql-autodoc_1.40-3_all.deb Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
postgresql-comparator_2.3.0-2_amd64.deb efficient PostgreSQL table content comparison and synchronization
postgresql-filedump_10.0-1build1_amd64.deb Utility to format PostgreSQL files
postgresql-hll_2.7-2.1_amd64.deb HyperLogLog extension for PostgreSQL
postgresql-pgsphere_1.1.1+2017.08.30-1build1_amd64.deb Spherical data types for PostgreSQL
postgresql-q3c_1.5.0-3build1_amd64.deb PostgreSQL extension used for indexing the sky
postgresql-server-dev-10_10.3-1_amd64.deb development files for PostgreSQL 10 server-side programming
postgresql-server-dev-all_190_all.deb extension build tool for multiple PostgreSQL versions
Advertisement
Advertisement